import java.applet.Applet;
import java.awt.BorderLayout;
import java.awt.Color;
import java.awt.Component;
import java.awt.Frame;
import java.awt.event.WindowAdapter;
import java.awt.event.WindowEvent;

import quadbase.ChartAPI.QbChart;
import quadbase.util.IDataPointSet;

public class ColorSeparator extends Applet {

	static final long serialVersionUID = 1;

	public static void main(String[] args) {
		try {
			ColorSeparator chart = new ColorSeparator();
			Frame frame = new Frame();
			frame.setLayout(new BorderLayout());
			frame.add("Center", chart.doColorSeparatorChart(null));
			frame.addWindowListener(new WindowAdapter() {
				@Override
				public void windowClosing(WindowEvent e) {
					System.exit(0);
				}
			});
			frame.setSize(800, 600);
			frame.setVisible(true);

		} catch (Exception ex) {
			ex.printStackTrace();
		}
	}

	@Override
	public void init() {
		setLayout(new BorderLayout());
		add("Center", doColorSeparatorChart(this));
	}

	Component doColorSeparatorChart(Applet parent) {
		// Do not use EspressManager
		QbChart.setEspressManagerUsed(false);

		// Open the template
		QbChart chart = new QbChart(parent, // container 
				"ColorSeparator.cht"); // template

		IDataPointSet hDataPoints = chart.gethDataPoints();
		hDataPoints.setColorSeparators(new Color[] { Color.green, Color.red, Color.blue },
				new Integer[] { new Integer((int) Math.rint(11.5)),
						new Integer((int) Math.rint(14)) },
				QbChart.ASCENDING);

		// Show chart in Viewer
		return chart;

	}

}
